Bug 176106 - RFE: dbus-qt
RFE: dbus-qt
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
: FutureFeature, Reopened
: 189729 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-12-19 09:39 EST by Dennis Gilmore
Modified: 2013-03-13 00:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-12 12:52:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2005-12-19 09:39:05 EST
Description of problem: 
the qt4 dbus-qt bindings  have been backported for qt3  I would like them 
enabled  so that kde can take advantage of things  like hot plugging usb 
drives, cameras  etc.  in a much simpler fashion
Comment 1 John (J5) Palmieri 2005-12-19 09:41:49 EST
Are the new qt3 bindings going to be maintained and does anything in core use it
right now?  If not then it is best to get them into extras. 
Comment 2 John (J5) Palmieri 2005-12-19 09:43:48 EST
BTW I don't see anything in the changelogs to indicate the new qt3 bindings have
been added upstream yet.
Comment 3 Rahul Sundaram 2005-12-19 09:48:58 EST

KDE 3.5 if I am not mistaken can take advantage of this bindings and is in the
FC4 and rawhide. More information available at here:
Comment 4 Lamont Peterson 2005-12-20 14:59:02 EST
Yes, please..bring back dbus-qt. 
One less thing that others like me have to package up for ourselves. 
Comment 5 John (J5) Palmieri 2005-12-20 15:17:20 EST
KDE 3.5 can not take advantage of the new Qt3 bindings and as I was told by the
upstream developer, there will not be another release of the 3.x series.  The
dbus-qt3 bindings in upstream are not maintained and will not be added back. 
The best option is to get patches into the packages that use them to either copy
functionality from the bindings or switching to using just libhal and minimal
low level dbus calls.  From what I understand the stuff that uses D-Bus is
minimal and mostly just uses it to talk to HAL.  
Comment 6 Bernie Innocenti 2006-01-23 03:11:25 EST
dbus-qt bindings for Qt3 seem to be back:


Please reopen this bug if the solution is appropriate.
Comment 7 John (J5) Palmieri 2006-01-23 13:02:14 EST
read comment #5.  It still holds true.
Comment 8 John (J5) Palmieri 2006-04-23 22:38:35 EDT
*** Bug 189729 has been marked as a duplicate of this bug. ***
Comment 9 Rex Dieter 2006-05-15 15:45:58 EDT
It seems both qt3 and qt(4) bindings are included in the dbus-0.61 tarballs 
now.  John, would you rather we submit these to Extras?
Comment 10 Rex Dieter 2006-05-15 15:47:15 EDT
Duh, forgot to reread, and missed comment #1 : "...it is best to get them into 
Comment 11 Dennis Gilmore 2006-05-15 15:54:04 EDT
I have been working on building the qt3 binding seperately   so far without 
much luck.   because i want to submit knetworkmanager for extras. 
Comment 12 Rex Dieter 2006-05-15 15:58:33 EDT
This packages for me, dunno if it'll work with knetworkmanager:
Comment 13 Rex Dieter 2006-07-12 12:44:11 EDT
Per comment #1:
>Are the new qt3 bindings going to be maintained and does anything in core use it
>right now?

Yes, k3b, respectively.  Reopening for reconsideration for Core, since dbus-qt
is now in Extras.
Comment 14 John (J5) Palmieri 2006-07-12 12:52:07 EDT
We are not even releasing qt3 bindings upstream.  When 0.90 comes out fairly
soon all the bindings will be split out into seperate packages.  No one has
taken ownership of Qt3.  I belive the KDE maintainer has patched most of the
core apps to talk to dbus directly.  Please file a bug there. 
Comment 15 John (J5) Palmieri 2006-07-12 15:06:36 EDT
I should note the KDE maintainer (than) for Fedora, not upstream.

Note You need to log in before you can comment on or make changes to this bug.